gdcm::network::BaseCompositeMessage Class Referenceabstract

BaseCompositeMessage. More...

`#include <gdcmBaseCompositeMessage.h>`

Inheritance diagram for gdcm::network::BaseCompositeMessage:
[legend]

## Public Member Functions

virtual | ~BaseCompositeMessage ()=default
virtual std::vector< PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)=0

## Detailed Description

BaseCompositeMessage.

The Composite events described in section 3.7-2009 of the DICOM standard all use their own messages. These messages are constructed using Presentation Data Values, from section 3.8-2009 of the standard, and then fill in appropriate values in their datasets.

So, for the five composites:

- C-ECHO
- C-FIND
- C-MOVE
- C-GET
- C-STORE there are a series of messages. However, all of these messages are obtained as part of a PDataPDU, and all have to be placed there. Therefore, since they all have shared functionality and construction tropes, that will be put into a base class. Further, the base class will be then returned by the factory class, gdcmCompositePDUFactory.

This is an abstract class. It cannot be instantiated on its own.

## Constructor & Destructor Documentation

## ~BaseCompositeMessage()

virtual gdcm::network::BaseCompositeMessage::~BaseCompositeMessage | ( |  | ) |

virtual default

## Member Function Documentation

## ConstructPDV()

virtual std::vector< PresentationDataValue > gdcm::network::BaseCompositeMessage::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )

pure virtual

Implemented in gdcm::network::CEchoRQ, gdcm::network::CFindRQ, and gdcm::network::CMoveRQ.

The documentation for this class was generated from the following file:

- gdcmBaseCompositeMessage.h